#### Previous topic

scipy.sparse.spmatrix.shape

#### Next topic

scipy.sparse.spmatrix.asfptype

# scipy.sparse.spmatrix.asformat

`spmatrix.``asformat`(format)

  Return this matrix in a given sparse format

  Parameters:

  format : {string, None}

  > desired sparse matrix format
  >   - None for no format conversion
  >   - “csr” for csr_matrix format
  >   - “csc” for csc_matrix format
  >   - “lil” for lil_matrix format
  >   - “dok” for dok_matrix format and so on